Subject: bug#64589: 30.0.50; smie-config-guess can break ruby indentation

From: Aaron Jensen <[email-masked]>
Date: Thu, 19 Oct 2023 23:39:55 -0400

On Thu, Oct 19, 2023 at 10:15 PM Stefan Monnier
<[email-masked]> wrote:
>
> > Perhaps we'll simply end up documenting that it doesn't work for all SMIE
> > modes, just for some. And dtrt-indent will have a whitelist.
>
> It's definitely the case that it's a "best effort" kind of tool, which
> makes assumptions that don't always hold.
> Using it unconditionally like `dtrt-indent` does seems ... optimistic,
> but I'll take it as a compliment :-)
>
>
>         Stefan
>

Just to double check, the thing I found odd was that it broke some
indentation, but not all. I don't know anything about how it works or
what its impact is, but it wasn't like it disabled indentation across
the board. It just made much of the indentation stop working or break
in subtle ways.

This is what smie-config-buffer-local ends up as: ((-5 :elem basic 2))

Thanks,

Aaron